## org.codehaus.groovy.grails.test
Class DefaultGrailsTestRunner

    java.lang.Object
      org.codehaus.groovy.grails.test.DefaultGrailsTestRunner

All Implemented Interfaces:
  GrailsTestRunner

    public class DefaultGrailsTestRunner

extends Object
implements GrailsTestRunner

Runs a JUnit test suite, printing the results to the console and also generating reports in selected formats.

Note This class is currently written in Java because the Groovy compiler can't cope with "ant-junit.jar" in ANT_HOME and "junit.jar" in the "lib" directory.

Author:
  Peter Ledbrook

Constructor Summary
`DefaultGrailsTestRunner(File reportsDir, List<String> formats)`

Method Summary
`FormattedOutput` `createFormatter(String type, junit.framework.TestSuite test)`
`void` `prepareReports(junit.framework.TestSuite test)`
`void` `reset()`
`junit.framework.TestResult` `runTests(junit.framework.TestSuite suite)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGrailsTestRunner

    public DefaultGrailsTestRunner(File reportsDir,
                                   List<String> formats)

Method Detail

### runTests

    public junit.framework.TestResult runTests(junit.framework.TestSuite suite)

  Specified by:
    `runTests` in interface `GrailsTestRunner`

### reset

    public void reset()

### prepareReports

    public void prepareReports(junit.framework.TestSuite test)

### createFormatter

    public FormattedOutput createFormatter(String type,
                                           junit.framework.TestSuite test)

Copyright (c) 2005-2009 The Grails project